<mamecheat version="1">

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@1175=07</action>
    </script>
  </cheat>

  <cheat desc="Infinite 'Power' Time">
    <script state="run">
      <action>maincpu.pb@1111=18</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@E13B</action>
    </script>
    <script state="run">
      <action>maincpu.mb@E13B=20</action>
    </script>
    <script state="off">
      <action>maincpu.mb@E13B=temp0 </action>
    </script>
  </cheat>

  <cheat desc="'Power' always available">
    <script state="run">
      <action>maincpu.pb@1110=01</action>
    </script>
  </cheat>

  <cheat desc="Orange ghost is stoned Now!">
    <script state="on">
      <action>maincpu.pb@1222=01</action>
    </script>
  </cheat>

  <cheat desc="Green ghost is stoned Now!">
    <script state="on">
      <action>maincpu.pb@1232=01</action>
    </script>
  </cheat>

  <cheat desc="Pink ghost is stoned Now!">
    <script state="on">
      <action>maincpu.pb@1242=01</action>
    </script>
  </cheat>

  <cheat desc="Red ghost is stoned Now!">
    <script state="on">
      <action>maincpu.pb@1252=01</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <parameter min="1" max="24" step="1"/>
    <script state="change">
      <action>sub.pb@temp1=00</action>
      <action condition="sub.pb@0080 GT 0">sub.pb@0080=0</action>
      <action>temp0=003F+param</action>
      <action>sub.pb@temp0=01</action>
      <action>temp1=temp0</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
